package com.ss.android.ugc.aweme.legoImp.task;

import X.0HH;
import X.8Zd;
import X.8Ze;
import X.8ec;
import X.9Ft;
import X.9Fx;
import X.BP4;
import X.C01139qj;
import android.content.Context;
import com.bytedance.bpea.basics.Cert;
import com.bytedance.bpea.basics.PrivacyCert;
import com.bytedance.bpea.store.policy.PrivacyPolicyStore;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.poi_api.service.IPoiService;
import java.util.List;

public final class PoiInitTask implements 8Ze {
    static {
        Covode.recordClassIndex(90556);
    }

    public final boolean meetTrigger() {
        return true;
    }

    public final String prefix() {
        return "task_";
    }

    public final boolean serialExecute() {
        return false;
    }

    public final int targetProcess() {
        return 1;
    }

    public final List triggerOtherLegoComponents() {
        return null;
    }

    public final 9Ft triggerType() {
        return 8Zd.LIZ(this);
    }

    public final 9Fx scenesType() {
        return 9Fx.DEFAULT;
    }

    public final 8ec type() {
        return 8ec.BOOT_FINISH;
    }

    public final String key() {
        return getClass().getSimpleName();
    }

    public final void run(Context context) {
        if (BP4.LIZ.LIZ().LJ()) {
            try {
                BP4.LIZ.LIZ().LIZJ();
            } catch (Exception e) {
                0HH.LIZ(e);
            }
        }
        IPoiService LIZ = BP4.LIZ.LIZ();
        PrivacyCert.Builder with = PrivacyCert.Builder.Companion.with("bpea-1709");
        with.usage(" We plan to improve the TikTok content by POI and allow user to add location when publishing contents ,thus we need to apply GPS permission from users to get coarse location information.");
        with.tag("poi");
        with.policies(new C01139qj[]{PrivacyPolicyStore.getLatitudeAndLongitudePrivacyPolicy()});
        LIZ.LIZ((Cert) with.build());
        BP4.LIZ.LIZ().LIZ("POI_INIT_TASK");
        BP4.LIZ.LIZ().LJIIJ();
    }
}
